{
    "fields": [
        {
            "doc": "Azure Active Directory immutable user OID",
            "name": "userid",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "doc": "User email address",
            "name": "email",
            "type": "string"
        },
        {
            "doc": "Username",
            "name": "username",
            "type": "string"
        },
        {
            "name": "role",
            "type": [
                "null",
                "string"
            ]
        },
        {
            "name": "groups",
            "type": [
                "null",
                {
                    "items": "string",
                    "type": "array"
                }
            ]
        }
    ],
    "name": "User",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}